<div fxLayout="column">

  <app-header title="Αιτήματα ενεργοποίησης καταστήματων" icon="app_registration"></app-header>

  <div fxFlex="100" fxLayout="row" fxLayoutAlign="space-between" style="margin-top:10px;padding-top: 8px;padding-bottom: 0" class="header">
    <p fxLayout="column" fxLayoutAlign="center" style="margin-left: 25px;">Καταστήματα</p>
  </div>

  <app-extreme-table id="table" [columns]="columns" [data]="stores" noDataText="Δεν υπάρχουν αιτήσεις για νέα καταστήματα" (contextMenuEvent)="contextMenuEvent($event)" (rowDoubleClickEvent)="navigateTo($event)"></app-extreme-table>

  <dx-context-menu
    [dataSource]="contextMenuItems"
    (onItemClick)="itemClick($event)"
    [width]="250"
    style="padding: 15px; border-radius: 5px;"
    target="#table">
    <div *dxTemplate="let e of 'item'">
      <div>
        <span class="dx-icon-{{e.icon}}"></span>
        <span *ngIf="e.items" class="dx-icon-spinright"></span> {{ e.text }}
      </div>
    </div>
  </dx-context-menu>
</div>
